Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List

Classes | Namespaces
viewer.h File Reference

Definition of `openvrml::gl::viewer`. More...

`#include <openvrml-gl-common.h>`
`#include <openvrml/viewer.h>`
`#include <map>`
`#include <stack>`
Include dependency graph for gl/openvrml/gl/viewer.h:

## Classes

class | openvrml::gl::viewer
| Abstract class for display of VRML models using OpenGL/Mesa. More...
struct | openvrml::gl::viewer::event_info
| Input event. More...
class | openvrml::gl::viewer::modelview_matrix_stack
| Encapsulates an extended modelview matrix stack. More...
struct | openvrml::gl::viewer::light_info
| Light information. More...

## Namespaces

namespace | openvrml

| The OpenVRML Runtime Library.
namespace | openvrml::gl

| OpenGL geometry renderer.

## Detailed Description

Definition of `openvrml::gl::viewer`.